<!doctype html>
<html>
  <body>
  <h2>Android Platform</h2>
  <p>The <b>Android</b> platform is an <i>Operating System</i> (OS) for mobile phone.</p>
  <table>
     <tr>
        <th>Date</th>
        <th>Name</th>
        <th>Version</th>
        <th>API</th>
     </tr>
     <tr>
        <td>April 2009</td>
        <td>Cupcake</td>
        <td>1.5</td>
        <td>3</td>
     </tr>
     <tr>
        <td>September 2009</td>
        <td>Donut</td>
        <td>1.6</td>
        <td>4</td>
     </tr>
     <tr>
        <td>October 2009</td>
        <td>Eclair</td>
        <td>2.1</td>
        <td>7</td>
     </tr>
     <tr>
        <td>May 2010</td>
        <td>Froyo</td>
        <td>2.2</td>
        <td>8</td>
     </tr>
     <tr>
        <td>December 2010</td>
        <td>Gingerbread</td>
        <td>2.3</td>
        <td>10</td>
     </tr>
     <tr>
        <td>Febrary 2011</td>
        <td>Honeycomb</td>
        <td>3.X</td>
        <td>13</td>
     </tr>
     <tr>
        <td>October 2011</td>
        <td>Ice Cream Sandwich</td>
        <td>4.0</td>
        <td>15</td>
     </tr>
     <tr>
        <td>June 2012</td>
        <td>Jelly Bean</td>
        <td>4.1</td>
        <td>18</td>
     </tr>
     <tr>
        <td>October 2013</td>
        <td>KitKat</td>
        <td>4.4</td>
        <td>20</td>
     </tr>
     <tr>
        <td>October 2014</td>
        <td>Lollipop</td>
        <td>5.1</td>
        <td>21</td>
     </tr>
     <tr>
        <td>October 2015</td>
        <td>Marshmallow</td>
        <td>6.0</td>
        <td>23</td>
     </tr>
     <tr>
        <td>October 2016</td>
        <td>Nougat</td>
        <td>7.0</td>
        <td>24</td>
     </tr>
     <tr>
        <td>September 2017</td>
        <td>Oreo</td>
        <td>8.0</td>
        <td>26</td>
     </tr>
     <tr>
        <td>August 2018</td>
        <td>Pie</td>
        <td>9.0</td>
        <td>28</td>
     </tr>
  </table>
<p>The most important to know is the API number and its corresponding name ;
because in configuration file the API number is used to indicate the minimum
targeted version, the current targeted version and the compile used version.</p>
<p>Generally an <b>Android</b> version is propagated on more than 70% of <b>Android</b>
devices in two years.</p>
  <h4>Next part</h4>
  <a href="file:///android_asset/1B-developmentenvironment.html">Development environnement</a>
  </body>
</html>
